KJS::ClassInfo Struct Reference

`#include <object.h>`

## Public Attributes

const char * | className
const ClassInfo * | parentClass
const HashTable * | propHashTable
void * | dummy

## Detailed Description

Class Information.

Definition at line 59 of file object.h.

## Member Data Documentation

const char* KJS::ClassInfo::className

A string denoting the class name.

Example: "Window".

Definition at line 63 of file object.h.

void* KJS::ClassInfo::dummy

Reserved for future extension.

Definition at line 76 of file object.h.

const ClassInfo* KJS::ClassInfo::parentClass

Pointer to the class information of the base class.

0L if there is none.

Definition at line 68 of file object.h.

const HashTable* KJS::ClassInfo::propHashTable

Static hash-table of properties.

Definition at line 72 of file object.h.

The documentation for this struct was generated from the following file:

- object.h

KDE Home | KDE Accessibility Home | Description of Access Keys